> For a complete documentation index, fetch https://docs.voximplant.ai/llms.txt # SetSecretInfo POST https://api.voximplant.com/platform_api/SetSecretInfo Edits a secret's parameters. **Example request:** Update the value for secret 10. Reference: https://docs.voximplant.ai/api-reference/management-api/reference/secrets/set-secret-info ## Authentication - `Authorization` header (bearer token, required) — Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value: ``` Authorization: Bearer $VOXIMPLANT_TOKEN ``` See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token. ## Request ### Query parameters - `application_id` (integer, optional) — Application ID. **Required** unless **application_name** is provided. - `application_name` (string, optional) — Application name. **Required** unless **application_id** is provided. - `secret_id` (integer, optional) — Secret ID to edit. **Required** unless **secret_name** is provided. - `secret_name` (string, optional) — Secret name. **Required** unless **secret_id** is provided. - `new_secret_name` (string, optional) — New secret name. The name must start with a Latin letter and can contain up to 64 characters, including Latin letters, digits and underscores - `secret_value` (string, optional) — Secret value. Maximum length is 8192 characters - `description` (string, optional) — Secret description. When processing, the length is truncated to the first 200 characters ## Response ### 200 Successful response - `result` (integer, optional) — Returns 1 if the secret has been updated successfully ## Examples **Request** ```json {} ``` **Response** ```json { "result": 1 } ``` **SDK Code** ```python Successful update import requests url = "https://api.voximplant.com/platform_api/SetSecretInfo" querystring = {"application_id":"12345","secret_id":"10","secret_value":"s3cr3tP@ssw0rd2024!","description":"Updated API key for payment gateway integration"} payload = {} headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers, params=querystring) print(response.json()) ``` ```javascript Successful update const url = 'https://api.voximplant.com/platform_api/SetSecretInfo?application_id=12345&secret_id=10&secret_value=s3cr3tP%40ssw0rd2024%21&description=Updated+API+key+for+payment+gateway+integration'; const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Successful update package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.voximplant.com/platform_api/SetSecretInfo?application_id=12345&secret_id=10&secret_value=s3cr3tP%40ssw0rd2024%21&description=Updated+API+key+for+payment+gateway+integration" payload := strings.NewReader("{}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Successful update require 'uri' require 'net/http' url = URI("https://api.voximplant.com/platform_api/SetSecretInfo?application_id=12345&secret_id=10&secret_value=s3cr3tP%40ssw0rd2024%21&description=Updated+API+key+for+payment+gateway+integration") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java Successful update import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.voximplant.com/platform_api/SetSecretInfo?application_id=12345&secret_id=10&secret_value=s3cr3tP%40ssw0rd2024%21&description=Updated+API+key+for+payment+gateway+integration") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php Successful update request('POST', 'https://api.voximplant.com/platform_api/SetSecretInfo?application_id=12345&secret_id=10&secret_value=s3cr3tP%40ssw0rd2024%21&description=Updated+API+key+for+payment+gateway+integration', [ 'body' => '{}', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp Successful update using RestSharp; var client = new RestClient("https://api.voximplant.com/platform_api/SetSecretInfo?application_id=12345&secret_id=10&secret_value=s3cr3tP%40ssw0rd2024%21&description=Updated+API+key+for+payment+gateway+integration"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift Successful update import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.voximplant.com/platform_api/SetSecretInfo?application_id=12345&secret_id=10&secret_value=s3cr3tP%40ssw0rd2024%21&description=Updated+API+key+for+payment+gateway+integration")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```